package com.ym.mec.cms.dal.dao;

import java.util.List;
import java.util.Map;

import com.ym.mec.cms.dal.entity.SysNewsInformation;
import com.ym.mec.common.dal.BaseDAO;

public interface SysNewsInformationDao extends BaseDAO<Long, SysNewsInformation> {

	/**
	 * 根据类型查询资讯列表
	 * @param type
	 * @return
	 */
	List<SysNewsInformation> queryByType(Integer type);

	/**
	 * 逻辑删除
	 * @param id
	 * @return
	 */
	int deleteWithLogical(Long id);
	
	List<SysNewsInformation> queryHomePage(Map<String, Object> params);
	
	int queryHomeCount(Map<String, Object> params);
	
	/**
	 * 查询需要更新状态的对象集合
	 * @return
	 */
	List<SysNewsInformation> queryNeedUpdateStatusList();
}